#ifndef __GPOD_PREFERENCES_VIEW_H__
#define __GPOD_PREFERENCES_VIEW_H__

#include <gtk/gtk.h>

G_BEGIN_DECLS

#define GPOD_TYPE_PREFERENCES_VIEW (gpod_preferences_view_get_type ())

G_DECLARE_FINAL_TYPE (GpodPreferencesView, gpod_preferences_view, GPOD, PREFERENCES_VIEW, GtkBin)

typedef struct _GpodPreferencesGroup {
    GtkWidget *title;
    GtkWidget *box;
    GtkWidget *list_box;
} GpodPreferencesGroup;

GpodPreferencesView *
gpod_preferences_view_new (void);

void
gpod_preferences_view_add_page (GpodPreferencesView *self,
                                const gchar                *page_name,
                                const gchar                *page_title);

GtkWidget *
gpod_preferences_view_get_page (GpodPreferencesView *self,
                                const gchar                *page_name);

void
gpod_preferences_view_add_group (GpodPreferencesView *self,
                                const gchar                 *page_name,
                                const gchar                 *group_name,
                                const gchar                 *group_title);

GpodPreferencesGroup *
gpod_preferences_view_get_group (GpodPreferencesView *self,
                                 const gchar                *page_name,
                                 const gchar                *group_name);

GtkWidget *
gpod_preferences_view_add_row (GpodPreferencesView *self,
                               const gchar                *page_name,
                               const gchar                *group_name);
void
gpod_preferences_view_add_option (GpodPreferencesView *self,
                                  const gchar                *page_name,
                                  const gchar                *group_name,
                                  const gchar                *title,
                                  const gchar                *subtitle,
                                  GtkWidget                  *widget);

G_END_DECLS

#endif /* __GPOD_PREFERENCES_VIEW_H__ */
